<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Walking Dead Deluxe</Series>
  <Number>54</Number>
  <Web>https://www.amazon.com/dp/B0BQP83BL8</Web>
  <Summary>Newly arrived and making an impression, Abraham, Rosita, and Eugene are earning their keep.
 
This deluxe presentation in STUNNING FULL COLOR also features another installment of Cutting Room Floor and creator commentary.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BQP83BL8]</Notes>
  <Publisher>Image</Publisher>
  <Imprint>Image - Skybound</Imprint>
  <Genre>Drama, Zombies, Horror</Genre>
  <PageCount>36</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
